> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Queries

> This endpoint retrieves a list of queries related to a specific index, sorted by time and limited to the last 100 queries.

### Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your organization.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your organization.
</ParamField>

### Params

<ParamField required path="id" type="string">
  The Index ID
</ParamField>

### Response

<ResponseField name="data" type="QueryData Array">
  <Expandable title="properties">
    <ResponseField name="m" type="object">
      <Expandable title="sub-properties">
        <ResponseField name="org" type="string">
          Organization ID
        </ResponseField>

        <ResponseField name="index" type="string">
          Index ID
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="t" type="string">
      Timestamp of the query
    </ResponseField>

    <ResponseField name="d" type="number">
      The cosine distance of the query
    </ResponseField>

    <ResponseField name="q" type="string">
      The query
    </ResponseField>
  </Expandable>
</ResponseField>

### Request Example

<RequestExample>
  ```bash theme={null}
  curl --location --request GET 'https://api.getmetal.io/v1/indexes/{id}/queries' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>' \
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "t": "2023-08-30T11:34:35.128Z",
        "d": 0.176956892014,
        "q": "Who is the best drummer of all time?"
        },
      {
        "t": "2023-08-29T11:34:18.099Z",
        "d": 0.156819581985,
        "q": "Which band is represented by the iconic mascot Eddie?"
      }
      // ... up to 100 items
    ]
  }
  ```
</ResponseExample>
